IEEE80211_BEACON_LOS(9)

NAME
ieee80211_beacon_loss - inform hardware does not receive beacons

SYNOPSIS

void ieee80211_beacon_loss(struct ieee80211_vif * vif);

ARGUMENTS

vif
    struct ieee80211_vif pointer from the add_interface callback.

DESCRIPTION

When beacon filtering is enabled with IEEE80211_VIF_BEACON_FILTER and IEEE80211_CONF_PS is set, the driver needs to inform whenever the hardware is not receiving beacons with this function.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT